#ifndef __USER_UPGRADE_H__
#define __USER_UPGRADE_H__

#include "define.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
    USER_UPGRADE_QUEUE_TIME 		= 0,
    USER_UPGRADE_QUEUE_ENTER_APP 	= 1,
}USER_UPGRADE_QUEUE_TYPE;

void user_upgrade_init(void);
void user_upgrade_start(void);
void ota_timeout_task_start(bool stat);
void Set_User_Upgrade_Queue(USER_UPGRADE_QUEUE_TYPE type);

#ifdef __cplusplus
}
#endif

#endif // __USER_UPGRADE_H__

/** @} */
